#version 150

uniform bool useUniformColor;
uniform bool useTex;
uniform sampler2D tex;
uniform vec4 color;
uniform float alpha;

in vec4 Color;
in vec2 Texcoord;

out vec4 outColor;

void main() {
    if (useTex)
        outColor = texture(tex, Texcoord);
    else
        outColor = (useUniformColor ? color : vec4(Color.rgb, Color.a*alpha));
}